Subject: [bug#35866] qtwenengine anybody?

From: [email-masked]
Date: Sun, 05 Jan 2020 08:10:12 -0800

Hartmut Goebel <[email-masked]> writes:

> Am 02.01.20 um 21:24 schrieb [email-masked]:
>> Apologies this is probably a failure in my ML workflow. And just my luck
>> I'm in the process of doing some working related moving todoy. Here is a
>> complete diff
>> https://gitlab.com/mike.rosset/guix/compare/master...qtwebengine hope
>> this helps.
>
> Many thanks, this is quite helpful.
>
> For me it looks okay except of two minor points:
>
> - The description should contain at least a brief note about Qt patched
> the embedded chromium to (partially) un-google it. If you know details,
> this would be great. This of course could be enhanced later, since
> changing the description does not force a rebuild of he package.
>
> - Please still honor Ricardo's remark about DRM and phoning home.

Hello Hartmut,

I've upgraded the description field as request see attached. And CC to
[email-masked]

I've also addressed in depth some Ricardo's concerns.

More then likely you will have problems applying this with git am
again. This final declaration though based on my original
submission. Was moved manually out and back in again. So there is
probably inconsequential git history missing. I could create a new bug
report maybe? Or you can still use the complete diff from
https://gitlab.com/mike.rosset/guix/compare/master...qtwebengine

>From e67e9e7a6a6b346c9a99759ae75040735e5336d1 Mon Sep 17 00:00:00 2001
From: Mike Rosset <[email-masked]>
Date: Sun, 5 Jan 2020 07:34:47 -0800
Subject: [PATCH 5/5] gnu: qtwebengine: description field now notes source re
 base summary
To: [email-masked]

* gnu/packages/qt.scm (qtwebengine)[description]: Note Qt Chromium source re
  base details.
---
 gnu/packages/qt.scm | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/qt.scm b/gnu/packages/qt.scm
index a4a039dc80..e199c67c4f 100644
--- a/gnu/packages/qt.scm
+++ b/gnu/packages/qt.scm
@@ -2154,8 +2154,9 @@ time Web content can be enhanced with native controls.")
             (files '("lib/qt5/libexec/QtWebEngineProcess")))))
     (home-page "https://www.qt.io")
     (synopsis "Qt WebEngine module")
-    (description "Qt5WebEngine provides support for web
-applications using the Chromium browser project.")
+    (description "Qt5WebEngine provides support for web applications using the
+Chromium browser project. The Chromium source base has Google services and
+binaries removed along with modular support for system libraries.")
     (license
      (package-license qt))))
 
-- 
2.24.1

Mike